
{: test that parameter assignment with range error causes a fatal error }

{$d+}
program d074( output );

type
   percentage =  0..100;

var
   i :  percentage;

procedure setmark(m : percentage );
begin
   writeln( m, '%' );
end; { setmark }

begin { d074 }
   i := 0;
   setmark(i);
   setmark(i-1); { range error }
   writeln( 'fails: range error not detected in parameter' );
end. { d074 }

